CREATE procedure [C6Staging].[RP_ST_anagrafica_promotori] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_anagrafica_promotori',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_anagrafica_promotori
	insert into c6staging.RP_anagrafica_promotori
	--select * into c6staging.RP_anagrafica_promotori from [CONSUNI].ConsulenzaUnica.dbo.anagrafica_promotori
	select * from [CONSUNI].ConsulenzaUnica.dbo.anagrafica_promotori
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_anagrafica_promotori' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_anagrafica_promotori'
		)
end